Kerbal Space Program - Bug #5513

Pod internal lights make marks on ship or terrain.
10/07/2015 07:32 PM - Kasuha

Status: Closed Start date: 10/07/2015
Severity: Very Low % Done: 100%
Assignee:

Category: Camera

Target version:

Version: 1.04 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Here | demonstrate that Mk1 and Mk2 lander cans' internal lights can be seen on runway in pattern corresponding to how they are
installed into the column (although at right angle to how they are oriented). Use attached craft files to reproduce, or refer to attached
screenshots.

These lights can be occasionally seen also on surface around landed ships. The occurrence on runway is most noticable and easiest
to reproduce. It does not depend where exactly the pod is, but marks depend on how it is rotated.

| have also seen a mark made by the Cupola module, but this does not seem to make multiple marks when stacked. Other pods
might produce marks too, under unclear conditions.

Also even on runway, parts of the rocket can be positioned so these lights are cast on the rocket, not just on ground.
Difference in orientation of these phantom lights relative to pods in game world might have something to do with incorrect casting of

light and shadows in IVA (it is possible e.g. to see Sun through a window in sunlit wall) - see e.g.
http://forum.kerbalspaceprogram.com/threads/42663-WIP-HEL P-Mk2-Cockpit-Internals-with-insane-lighting-problem

History

#2 - 07/17/2016 09:39 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/19/2016 02:39 AM - Perry_Apsis

Was unable to reproduce in 1.1.3.

#4 - 07/19/2016 03:05 AM - Perry_Apsis
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100

#5 - 07/19/2016 08:49 AM - TriggerAu

- Status changed from Resolved to Closed

Files

screenshot176.png 2 MB 10/07/2015 Kasuha
screenshot175.png 1.98 MB 10/07/2015 Kasuha
Mk2 lander can lights.craft 36.4 KB 10/07/2015 Kasuha
Mk1 lander can lights.craft 36.4 KB 10/07/2015 Kasuha
